Multiple BIN lookup (50 item limit)
curl --request POST \
--url https://parrot.sandbox.pagosapi.com/bins/multiple \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cards": [
{
"card": "<string>"
}
],
"enhanced": true
}
'import requests
url = "https://parrot.sandbox.pagosapi.com/bins/multiple"
payload = {
"cards": [{ "card": "<string>" }],
"enhanced": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cards: [{card: '<string>'}], enhanced: true})
};
fetch('https://parrot.sandbox.pagosapi.com/bins/multiple', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cards": [
{
"bin": "<string>",
"data": {
"card": {
"number": {
"length": 123
},
"bin_length": 123,
"pagos_bin_length": 123,
"bin_min": "<string>",
"bin_max": "<string>",
"pan_or_token": "<string>",
"virtual_card": true,
"level2": true,
"level3": true,
"alm": true,
"account_updater": true,
"domestic_only": true,
"gambling_blocked": true,
"issuer_currency": "<string>",
"reloadable": true,
"additional_card_brands": [
{
"card_brand": "<string>",
"bin_max": "<string>",
"bin_min": "<string>",
"card_brand_product": "<string>",
"card_brand_bank_name": "<string>",
"ecom_enabled": true,
"billpay_enabled": true
}
],
"card_brand": "<string>",
"card_segment_type": "<string>",
"combo_card": "<string>",
"type": "<string>",
"funding_source": "<string>",
"prepaid": true,
"product": {
"product_id": "<string>",
"product_name": "<string>"
},
"bank": {
"name": "<string>",
"phone": "<string>",
"url": "<string>",
"clean_name": "<string>"
},
"country": {
"alpha2": "<string>",
"numeric": "<string>",
"name": "<string>"
},
"authentication": {
"authentication_required": true,
"authentication_name": "<string>"
},
"cost": {
"interchange": {
"regulated": true,
"regulated_name": "<string>",
"domestic": {
"cap_region_shortname": "<string>",
"cap_advalorem_amount": "<string>",
"cap_type_name": "<string>",
"cap_fixed_amount": "<string>",
"cap_type_qualifier_currency": "<string>",
"cap_type_qualifier_text": "<string>",
"cap_type_qualifier_lower": "<string>",
"cap_type_qualifier_upper": "<string>"
},
"inter": {
"cap_region_shortname": "<string>",
"cap_advalorem_amount": "<string>",
"cap_type_name": "<string>",
"cap_fixed_amount": "<string>",
"cap_type_qualifier_currency": "<string>",
"cap_type_qualifier_text": "<string>",
"cap_type_qualifier_lower": "<string>",
"cap_type_qualifier_upper": "<string>"
},
"intra": {
"cap_region_shortname": "<string>",
"cap_advalorem_amount": "<string>",
"cap_type_name": "<string>",
"cap_fixed_amount": "<string>",
"cap_type_qualifier_currency": "<string>",
"cap_type_qualifier_text": "<string>",
"cap_type_qualifier_lower": "<string>",
"cap_type_qualifier_upper": "<string>"
},
"notes": "<string>"
}
},
"networkfees": {},
"correlation_id": "<string>",
"issuer_supports_tokenization": true,
"multi_account_access_indicator": "<string>",
"shared_bin": true,
"flagged_for_delete_remaining_wks": 123
}
},
"error": "<string>"
}
]
}BIN Data API
Multiple BIN Lookups
POST
/
bins
/
multiple
Multiple BIN lookup (50 item limit)
Authorizations
Format is: Bearer <api_key>, where <api_key> is your Pagos API key
Body
application/jsontext/jsonapplication/*+json
Response
Success
Show child attributes
Show child attributes
⌘I

